### Class

# WebKit MediaKeySystemPermissionRequest

unstable since: 6.0

#### Description [src]

    final class WebKit.MediaKeySystemPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for using an EME Content Decryption Module.

WebKitMediaKeySystemPermissionRequest represents a request for permission to decide whether WebKit should use the given CDM to access protected media when requested through the MediaKeySystem API.

When a WebKitMediaKeySystemPermissionRequest is not handled by the user, it is denied by default.

When handling this permission request the application may perform additional installation of the requested CDM, unless it is already present on the host system.

Available since: 6.0

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

unstable since: 6.0

###### webkit_permission_request_deny

Deny the action which triggered this request.

unstable since: 6.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitMediaKeySystemPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.